Skip to main content
Weavr API
Corporates

Get the submitted KYB account-usage profile for a corporate

GET/corporates/{corporateId}/kyb/profile

Returns the account-usage profile submitted to pre-populate the KYB of the corporate identified by the corporateId path parameter, so you can check what was recorded.

See Submit the KYB account-usage profile for a corporate for what the profile covers.

Request

Available on
SandboxProduction

Path parameters

Responses

200OK

Success

Headers
Body
application/json
{}
CorporateKybProfileResponseSchemaCorporateKybProfileResponseSchema · object · 1 field
Response example
{  "profile": {    "fundingOrigin": "Business revenue",    "fundingOriginCountries": [      "string"    ],    "fundingTransactionCountMonthly": "200",    "fundingTransactionValueMonthly": "50000",    "collectionsEnabled": true,    "collectionsPurpose": "Invoice settlement",    "collectionsOrigin": "Customer payments",    "collectionsOriginCountries": [      "string"    ],    "collectionsTransactionCountMonthly": "200",    "collectionsTransactionValueMonthly": "50000",    "withdrawalDestination": "Company bank account",    "withdrawalDestinationCountries": [      "string"    ],    "withdrawalTransactionCountMonthly": "200",    "withdrawalTransactionValueMonthly": "50000",    "payoutsEnabled": true,    "payoutsPurpose": "Supplier payments",    "payoutsDestination": "Suppliers",    "payoutsDestinationCountries": [      "string"    ],    "payoutsTransactionCountMonthly": "200",    "payoutsTransactionValueMonthly": "50000",    "cardsEnabled": true,    "cardsTransactionCountMonthly": "200",    "cardsTransactionValueMonthly": "50000",    "cardsPurpose": "Employee expenses",    "cardsCardholderCount": "10",    "industry": "ACCOUNTING",    "sourceOfFunds": "LABOUR_CONTRACT",    "sourceOfFundsIsOther": "Inheritance",    "companyType": "SOLE_TRADER",    "customerOperatesSolelyInPermittedIndustries": true,    "customerOperatesSolelyInPermittedJurisdictions": true,    "isTheBusinessModelOfTheCustomerClear": "Yes",    "doesTheCustomersIntendedUsageAlignToTheirBusinessActivity": true,    "doesTheCustomersIntendedUsageAlignToTheirBusinessActivityComment": "Usage matches the stated business activity",    "websiteUrl": "https://www.acme.example",    "tradingName": "Acme"  }}